clc;
clear;
close all;
% a=[0.0252 4.5]
% b=[0.0338 4.4862]
% c=[0.04   4.4856]
% aa=[0.1336 0;0 0.1]
% bb=[0.2005 0.03;0.03 0.08]
% cc=[0.2005 0.002;0.002 0.0857]
% x=[a',b',c']
% x_cov(:,:,1)=aa
% x_cov(:,:,2)=bb
% x_cov(:,:,3)=cc
% [res,res_cov] = fusecovint(x,x_cov);
% res_cov=[0.105,0.02;
%           0.02,0.079]
%%
a=[0.5 4.4];
b=[0.3 4.4];
c=[0.4   4.5];
aa=[0.22 -0.1;
    -0.1     0.13];
bb=[0.3 0.1;
    0.1 0.15];
cc=[0.15 0.02;
    0.02 0.2];
x=[a',b',c'];
x_cov(:,:,1)=aa;
x_cov(:,:,2)=bb;
x_cov(:,:,3)=cc;
[res,res_cov] = fusecovint(x,x_cov);
figure(1)
set (gcf,'position',[440,550,400,400], 'color','w' );
set (gca,'Position',[0.18 0.12 0.77 0.83] );
plot_ellipse1(a,aa,1) % b
hold on
plot_ellipse1(b,bb,2) % c
hold on
plot_ellipse1(c,cc,3) % m
hold on
plot_ellipse1(res,res_cov,0)  % r
hold on
scatter(a(1),a(2),'filled','^','b')
hold on
scatter(b(1),b(2),'filled','^','c')
hold on
scatter(c(1),c(2),'filled','^','m')
hold on
scatter(res(1),res(2),'filled','^','r')
axis([-0.6 1.4 3.8 5.3])
ylabel('y/m');
xlabel('x/m ');
legend('Estimation 1','Estimation 2','Estimation 3','Fused estimation','NumColumns',2)
%saveas(gcf, 'CI_ellipse.eps', 'epsc')
%%
% clc;
% clear;
% close all;
% num=10;
% mu=[2 2];
% sigma=[0.1,0 ; 0, 0.1];
% b=mvnrnd(mu,sigma,num);
% a=[0 0];
% real_dis=norm(mu-a);
% dis=zeros(num,1);
% for i=1:1:num
%     dis(i)=norm(b(i,:)-1);
% end
% del_dis=dis-real_dis;
% cov=sum(del_dis.^2)/num
% H=(mu-a)/real_dis;
% R=H*cov*H'
