clc;
clear;
close all;
load('./data2.mat')
i=length(p1)-1;
er_DR1=sqrt(sum((kkp1(1:2,:)-pp1(1:2,:)).^2,1));
er_DR2=sqrt(sum((kkp2(1:2,:)-pp2(1:2,:)).^2,1));
er_DR3=sqrt(sum((kkp3(1:2,:)-pp3(1:2,:)).^2,1));
er_FU1=sqrt(sum((kp1(1:2,:)-pp1(1:2,:)).^2,1));
er_FU2=sqrt(sum((kp2(1:2,:)-pp2(1:2,:)).^2,1));
er_FU3=sqrt(sum((kp3(1:2,:)-pp3(1:2,:)).^2,1));

%% 画图
  figure(2)
  set(gcf,'position',[410,550,350,350], 'color','w' );
  plot(pp1(1,1:i+1),pp1(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(kp1(1,1:i+1),kp1(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kkp1(1,1:i+1),kkp1(2,1:i+1),'r','LineWidth',1);
  axis([-1 7 0 8]);
  legend('Ideal of R_1','R_1 without KLD','R_1 with KLD');
  %saveas(gcf, 'KLD_r1.eps', 'epsc')
  figure(3)
  set(gcf,'position',[770,550,350,350], 'color','w' );
  plot(pp2(1,1:i+1),pp2(2,1:i+1),'k','LineWidth',1);  %无噪声
  hold on
  plot(kp2(1,1:i+1),kp2(2,1:i+1),'b','LineWidth',1);    %无噪声
  hold on
  plot(kkp2(1,1:i+1),kkp2(2,1:i+1),'r','LineWidth',1);
  axis equal;
  legend('Ideal of R_2','R_2 without KLD','R_2 with KLD');
  %saveas(gcf, 'KLD_r2.eps', 'epsc')
  figure(4)
  set(gcf,'position',[1130,550,350,350], 'color','w' );
  plot(pp3(1,1:i+1),pp3(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(kp3(1,1:i+1),kp3(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kkp3(1,1:i+1),kkp3(2,1:i+1),'r','LineWidth',1);
  axis equal;
  legend('Ideal of R_3','R_3 without KLD','R_3 with KLD');
  %saveas(gcf, 'KLD_r3.eps', 'epsc')
  
  %%   
  tt=linspace(1,i+1,i+1);
  figure(5)
  set(gcf,'position',[1490,550,350,350], 'color','w' );
  plot(tt,er_DR1,'r','LineWidth',1)
  hold on 
  plot(tt,er_FU1,'k','LineWidth',1)
  axis([-1 420 -0.02 1.6]);
  legend('R_1 error with KLD','R_1 error without KLD');
   %saveas(gcf, 'err1_r1.eps', 'epsc')
  figure(6)
  set(gcf,'position',[1490,100,350,350], 'color','w' );
  plot(tt,er_DR2,'r','LineWidth',1)
  hold on 
  plot(tt,er_FU2,'k','LineWidth',1)
  axis([-1 420 -0.02 1.7]);
  legend('R_2 error with KLD','R_2 error without KLD');
  %saveas(gcf, 'err1_r2.eps', 'epsc')
  
  figure(7)
  set(gcf,'position',[1130,100,350,350], 'color','w' );
  plot(tt,er_DR3,'r','LineWidth',1)
  hold on 
  plot(tt,er_FU3,'k','LineWidth',1)
  axis([-1 420 -0.02 1.6]);
  legend('R_3 error with KLD','R_3 error without KLD');
  %saveas(gcf, 'err1_r3.eps', 'epsc')  
%% 
%   plot(pp4(1,1:i+1),pp4(2,1:i+1),'k','LineWidth',1);
%   hold on
%   plot(p4(1,1:i+1),p4(2,1:i+1),'b','LineWidth',1);
%   hold on
%   plot(kp4(1,1:i+1),kp4(2,1:i+1),'r','LineWidth',1);
%   axis equal;
%   title(['P4']);
%    legend('No','Yes','KF');