clear;
clc;
close all;
% vel=[0.18 0.18 0.18 0.18];
% omega=[0.2 1.2 -1.2 -1.2];%
del_t=0.05;
global  noise;
noise=diag([0.2, 0.14]);
global  ob_noise;
ob_noise=0.3;
% R=diag([0.01,0.01]);
num=400;
%%
%%% 无噪声
pp1=zeros(3,num);       pp2=zeros(3,num);           pp3=zeros(3,num);             pp4=zeros(3,num);
pp1(:,1)=[0;4;pi/2];       pp2(:,1)=[4;0;pi/2];           pp3(:,1)=[4;8;pi/2];                pp4(:,1)=[8;4;pi/2];
pp1_cov=zeros(3,3,num); pp2_cov=zeros(3,3,num);     pp3_cov=zeros(3,3,num);       pp4_cov=zeros(3,3,num);
%%% 有噪声
p1=zeros(3,num);       p2=zeros(3,num);           p3=zeros(3,num);             p4=zeros(3,num);
p1(:,1)=pp1(:,1);      p2(:,1)=pp2(:,1);          p3(:,1)=pp3(:,1);            p4(:,1)=pp4(:,1);
p1_cov=zeros(3,3,num); p2_cov=zeros(3,3,num);     p3_cov=zeros(3,3,num);       p4_cov=zeros(3,3,num);
p1_cov(:,:,1)=diag([0.2,0.1,0.01]);
p2_cov(:,:,1)=diag([0.2,0.1,0.01]);
p3_cov(:,:,1)=diag([0.3,0.2,0.01]);
p4_cov(:,:,1)=diag([0.03,0.03,0.01]);
% dis1=zeros(3,num);     dis2=zeros(3,num);         dis3=zeros(3,num);           dis4=zeros(3,num);
% dis1_cov=zeros(3,num); dis2_cov=zeros(3,num);     dis3_cov=zeros(3,num);       dis4_cov=zeros(3,num);
%%% 卡尔曼融合部分
kp1=zeros(3,num);       kp2=zeros(3,num);          kp3=zeros(3,num);            kp4=zeros(3,num);
kp1(:,1)=p1(:,1);       kp2(:,1)=p2(:,1);          kp3(:,1)=p3(:,1);            kp4(:,1)=p4(:,1);
kp1_cov=zeros(3,3,num); kp2_cov=zeros(3,3,num);    kp3_cov=zeros(3,3,num);      kp4_cov=zeros(3,3,num);
kp1_cov(:,:,1)=p1_cov(:,:,1);
kp2_cov(:,:,1)=p2_cov(:,:,1);
kp3_cov(:,:,1)=p3_cov(:,:,1);
kp4_cov(:,:,1)=p4_cov(:,:,1);

kkp1=zeros(3,num);       kkp2=zeros(3,num);          kkp3=zeros(3,num);            kkp4=zeros(3,num);
kkp1(:,1)=p1(:,1);       kkp2(:,1)=p2(:,1);          kkp3(:,1)=p3(:,1);            kkp4(:,1)=p4(:,1);
kkp1_cov=zeros(3,3,num); kkp2_cov=zeros(3,3,num);    kkp3_cov=zeros(3,3,num);      kkp4_cov=zeros(3,3,num);
kkp1_cov(:,:,1)=p1_cov(:,:,1);
kkp2_cov(:,:,1)=p2_cov(:,:,1);
kkp3_cov(:,:,1)=p3_cov(:,:,1);
kkp4_cov(:,:,1)=p4_cov(:,:,1);
%%
for i=1:1:410
    if  i>num/2
        vel=[0.5 0.5 0.5 0.5];
        omega=[0.3 0.3 0.3 0.3]; %
    else
        vel=[0.5 0.5 0.5 0.5];
        omega=[-0.3 -0.3 -0.3 -0.3]; %
    end
    
  %%% 无噪声数据
  [pp1(:,i+1),pp1_cov(:,:,i+1)]= RobotModel(pp1(:,i),pp1_cov(:,:,i),vel(1),omega(1),del_t);  
  [pp2(:,i+1),pp2_cov(:,:,i+1)]= RobotModel(pp2(:,i),pp2_cov(:,:,i),vel(2),omega(2),del_t);  
  [pp3(:,i+1),pp3_cov(:,:,i+1)]= RobotModel(pp3(:,i),pp3_cov(:,:,i),vel(3),omega(3),del_t);  
%   [pp4(:,i+1),pp4_cov(:,:,i+1)]= RobotModel(pp4(:,i),pp4_cov(:,:,i),vel(4),omega(4),del_t);
   pp4(:,i+1)=pp4(:,i);
   pp4_cov(:,:,i+1)= pp4_cov(:,:,i);
  %%% 有噪声数据
  vel1= vel + (2*rand(1,4)-1)*noise(1,1);
  omega1=omega + (2*rand(1,4)-1)*noise(2,2);
  [p1(:,i+1),p1_cov(:,:,i+1)]= RobotModel(p1(:,i),p1_cov(:,:,i),vel1(1),omega1(1),del_t);  
  [p2(:,i+1),p2_cov(:,:,i+1)]= RobotModel(p2(:,i),p2_cov(:,:,i),vel1(2),omega1(2),del_t);  
  [p3(:,i+1),p3_cov(:,:,i+1)]= RobotModel(p3(:,i),p3_cov(:,:,i),vel1(3),omega1(3),del_t);  
  [p4(:,i+1),p4_cov(:,:,i+1)]= RobotModel(p4(:,i),p4_cov(:,:,i),vel1(4),omega1(4),del_t);  
  %%% 卡尔曼
  [kp1(:,i+1),kp1_cov(:,:,i+1)]= RobotModel(kp1(:,i),kp1_cov(:,:,i),vel1(1),omega1(1),del_t);  
  [kp2(:,i+1),kp2_cov(:,:,i+1)]= RobotModel(kp2(:,i),kp2_cov(:,:,i),vel1(2),omega1(2),del_t);  
  [kp3(:,i+1),kp3_cov(:,:,i+1)]= RobotModel(kp3(:,i),kp3_cov(:,:,i),vel1(3),omega1(3),del_t);  
  [kp4(:,i+1),kp4_cov(:,:,i+1)]= RobotModel(kp4(:,i),kp4_cov(:,:,i),vel1(4),omega1(4),del_t); 
  %%% 不处理异常
  pos=[kp1(1:2,i+1),kp2(1:2,i+1),kp3(1:2,i+1),pp4(1:2,i+1)];
  pos_cov(:,:,1)=kp1_cov(1:2,1:2,i+1); pos_cov(:,:,2)=kp2_cov(1:2,1:2,i+1);pos_cov(:,:,3)=kp3_cov(1:2,1:2,i+1);pos_cov(:,:,4)=p4_cov(1:2,1:2,1);
  ppos=[pp1(1:2,i+1),pp2(1:2,i+1),pp3(1:2,i+1),pp4(1:2,i+1)];
 
  ob_error=(2*rand(4)-1)*ob_noise;
  ob_error=(ob_error'+ob_error)/2;
  r_dis1=real_distance(ppos,ob_error,1);
  r_dis2=real_distance(ppos,ob_error,2);
  r_dis3=real_distance(ppos,ob_error,3);
  r_dis4=real_distance(ppos,ob_error,4);
  
  [kp1(1:2,i+1),kp1_cov(1:2,1:2,i+1)]=KF_Common1(r_dis1,pos,pos_cov,1);
  [kp2(1:2,i+1),kp2_cov(1:2,1:2,i+1)]=KF_Common1(r_dis2,pos,pos_cov,2);
  [kp3(1:2,i+1),kp3_cov(1:2,1:2,i+1)]=KF_Common1(r_dis3,pos,pos_cov,3);
  
%%% 处理异常
  [kkp1(:,i+1),kkp1_cov(:,:,i+1)]= RobotModel(kkp1(:,i),kkp1_cov(:,:,i),vel1(1),omega1(1),del_t);  
  [kkp2(:,i+1),kkp2_cov(:,:,i+1)]= RobotModel(kkp2(:,i),kkp2_cov(:,:,i),vel1(2),omega1(2),del_t);  
  [kkp3(:,i+1),kkp3_cov(:,:,i+1)]= RobotModel(kkp3(:,i),kkp3_cov(:,:,i),vel1(3),omega1(3),del_t);  
  [kkp4(:,i+1),kkp4_cov(:,:,i+1)]= RobotModel(kkp4(:,i),kkp4_cov(:,:,i),vel1(4),omega1(4),del_t); 
  %%%
  pos=[kkp1(1:2,i+1),kkp2(1:2,i+1),kkp3(1:2,i+1),pp4(1:2,i+1)];
  pos_cov(:,:,1)=kkp1_cov(1:2,1:2,i+1); pos_cov(:,:,2)=kkp2_cov(1:2,1:2,i+1);pos_cov(:,:,3)=kkp3_cov(1:2,1:2,i+1);pos_cov(:,:,4)=p4_cov(1:2,1:2,1);
  ppos=[pp1(1:2,i+1),pp2(1:2,i+1),pp3(1:2,i+1),pp4(1:2,i+1)];
 
  ob_error=(2*rand(4)-1)*ob_noise;
  ob_error=(ob_error'+ob_error)/2;
  r_dis1=real_distance(ppos,ob_error,1);
  r_dis2=real_distance(ppos,ob_error,2);
  r_dis3=real_distance(ppos,ob_error,3);
  r_dis4=real_distance(ppos,ob_error,4);
  
  [kkp1(1:2,i+1),kkp1_cov(1:2,1:2,i+1)]=KF_Common2(r_dis1,pos,pos_cov,1);
  [kkp2(1:2,i+1),kkp2_cov(1:2,1:2,i+1)]=KF_Common2(r_dis2,pos,pos_cov,2);
  [kkp3(1:2,i+1),kkp3_cov(1:2,1:2,i+1)]=KF_Common2(r_dis3,pos,pos_cov,3);

end
save ./path/data2 p1 p2 p3 p4 pp1 pp2  pp3 pp4 kp1 kp2 kp3 kp4  kkp1 kkp2 kkp3 kkp4
%% 画图
  figure(2)
  set(gcf,'position',[410,550,350,350], 'color','w' );
  plot(pp1(1,1:i+1),pp1(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(p1(1,1:i+1),p1(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kp1(1,1:i+1),kp1(2,1:i+1),'r','LineWidth',1);
  hold on
  plot(kkp1(1,1:i+1),kkp1(2,1:i+1),'m','LineWidth',1);
  axis equal;
  title(['P1']);
  legend('No','Yes','KF','HH');
  figure(3)
  set(gcf,'position',[770,550,350,350], 'color','w' );
  plot(pp2(1,1:i+1),pp2(2,1:i+1),'k','LineWidth',1);  %无噪声
  hold on
  plot(p2(1,1:i+1),p2(2,1:i+1),'b','LineWidth',1);    %无噪声
  hold on
  plot(kp2(1,1:i+1),kp2(2,1:i+1),'r','LineWidth',1);
    hold on
  plot(kkp2(1,1:i+1),kkp2(2,1:i+1),'m','LineWidth',1);
  axis equal;
  title(['P2']);
  legend('No','Yes','KF','HH');
  figure(4)
  set(gcf,'position',[1130,550,350,350], 'color','w' );
  plot(pp3(1,1:i+1),pp3(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(p3(1,1:i+1),p3(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kp3(1,1:i+1),kp3(2,1:i+1),'r','LineWidth',1);
  hold on
  plot(kkp3(1,1:i+1),kkp3(2,1:i+1),'m','LineWidth',1);
  axis equal;
  title(['P3']);
  legend('No','Yes','KF','HH');
%   figure(5)
%   set(gcf,'position',[1490,550,350,350], 'color','w' );
%   plot(pp4(1,1:i+1),pp4(2,1:i+1),'k','LineWidth',1);
%   hold on
%   plot(p4(1,1:i+1),p4(2,1:i+1),'b','LineWidth',1);
%   hold on
%   plot(kp4(1,1:i+1),kp4(2,1:i+1),'r','LineWidth',1);
%   axis equal;
%   title(['P4']);
%    legend('No','Yes','KF');