clc;
clear;
close all;
load('./data1.mat')
i=length(p1)-1;
er_DR1=sqrt(sum((p1(1:2,:)-pp1(1:2,:)).^2,1));
er_DR2=sqrt(sum((p2(1:2,:)-pp2(1:2,:)).^2,1));
er_DR3=sqrt(sum((p3(1:2,:)-pp3(1:2,:)).^2,1));
er_FU1=sqrt(sum((kp1(1:2,:)-pp1(1:2,:)).^2,1));
er_FU2=sqrt(sum((kp2(1:2,:)-pp2(1:2,:)).^2,1));
er_FU3=sqrt(sum((kp3(1:2,:)-pp3(1:2,:)).^2,1));

%% 画图
  figure(1) 
  set(gcf,'position',[50,550,350,350], 'color','w' );
  plot(p1(1,1:i),p1(2,1:i),'r','LineWidth',1);
  hold on
  plot(p2(1,1:i),p2(2,1:i),'g','LineWidth',1);
  hold on
  plot(p3(1,1:i),p3(2,1:i),'b','LineWidth',1);
  hold on
  plot(p4(1,1:i),p4(2,1:i),'k','LineWidth',1);
%   axis equal;
  axis([-1 16 -3 14]);
  legend('R1','R2','R3','R4','NumColumns',2);
  %saveas(gcf, 'all_path.eps', 'epsc')
  %%%%
  figure(2)
  set(gcf,'position',[410,550,350,350], 'color','w' );
  plot(pp1(1,1:i+1),pp1(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(p1(1,1:i+1),p1(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kp1(1,1:i+1),kp1(2,1:i+1),'r','LineWidth',1);
  axis([-1 7 0 8]);
  legend('Ideal of R_1','DR of R_1','CI of R_1');
  %saveas(gcf, 'path_r1.eps', 'epsc')
  figure(3)
  set(gcf,'position',[770,550,350,350], 'color','w' );
  plot(pp2(1,1:i+1),pp2(2,1:i+1),'k','LineWidth',1);  %无噪声
  hold on
  plot(p2(1,1:i+1),p2(2,1:i+1),'b','LineWidth',1);    %无噪声
  hold on
  plot(kp2(1,1:i+1),kp2(2,1:i+1),'r','LineWidth',1);
  axis equal;
  legend('Ideal of R_2','DR of R_2','CI of R_2');
  %saveas(gcf, 'path_r2.eps', 'epsc')
  figure(4)
  set(gcf,'position',[1130,550,350,350], 'color','w' );
  plot(pp3(1,1:i+1),pp3(2,1:i+1),'k','LineWidth',1);
  hold on
  plot(p3(1,1:i+1),p3(2,1:i+1),'b','LineWidth',1);
  hold on
  plot(kp3(1,1:i+1),kp3(2,1:i+1),'r','LineWidth',1);
  axis equal;
  legend('Ideal of R_3','DR of R_3','CI of R_3');
  %saveas(gcf, 'path_r3.eps', 'epsc')
  
  %%   
  tt=linspace(1,i+1,i+1);
  figure(5)
  set(gcf,'position',[1490,550,350,350], 'color','w' );
  plot(tt,er_DR1,'k','LineWidth',1)
  hold on 
  plot(tt,er_FU1,'r','LineWidth',1)
  axis([-1 420 -0.02 0.27]);
  legend('DR error of R_1','Fused error of R_1');
   %saveas(gcf, 'err_r1.eps', 'epsc')
  figure(6)
  set(gcf,'position',[1490,100,350,350], 'color','w' );
  plot(tt,er_DR2,'k','LineWidth',1)
  hold on 
  plot(tt,er_FU2,'r','LineWidth',1)
  axis([-1 420 -0.02 0.79]);
  legend('DR error of R_2','Fused error of R_2');
  %saveas(gcf, 'err_r2.eps', 'epsc')
  
  figure(7)
  set(gcf,'position',[1130,100,350,350], 'color','w' );
  plot(tt,er_DR3,'k','LineWidth',1)
  hold on 
  plot(tt,er_FU3,'r','LineWidth',1)
  axis([-1 420 -0.02 0.35]);
  legend('DR error of R_3','Fused error of R_3');
  %saveas(gcf, 'err_r3.eps', 'epsc')  
%% 
%   plot(pp4(1,1:i+1),pp4(2,1:i+1),'k','LineWidth',1);
%   hold on
%   plot(p4(1,1:i+1),p4(2,1:i+1),'b','LineWidth',1);
%   hold on
%   plot(kp4(1,1:i+1),kp4(2,1:i+1),'r','LineWidth',1);
%   axis equal;
%   title(['P4']);
%    legend('No','Yes','KF');